// ============================================================================
// ==                                                                        ==
// == Amdis - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  TU Dresden                                                            ==
// ==                                                                        ==
// ==  Institut für Wissenschaftliches Rechnen                               ==
// ==  Zellescher Weg 12-14                                                  ==
// ==  01069 Dresden                                                         ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  https://gforge.zih.tu-dresden.de/projects/amdis/                      ==
// ==                                                                        ==
// ============================================================================

/** \file ArhReader.h */

#ifndef AMDIS_ARH_READER_H
#define AMDIS_ARH_READER_H

#include "AMDiS_fwd.h"

namespace AMDiS {

  class ArhReader
  {
  public:
    static void read(std::string filename, Mesh *mesh);

    static void read(std::string filename, Mesh *mesh, DOFVector<double>* vec);

    static void read(std::string filename, Mesh *mesh, 
		     std::vector<DOFVector<double>*> vecs);

  private:
    static void setDofValues(int macroElIndex, Mesh *mesh, 
			     std::vector<double>& values, DOFVector<double>* vec);
  };
}

#endif
